{ pkgs, lib, config, ... }:

{
    options = {
        desktop = {
            wm = lib.mkOption { type = types.str; default = "sway"; };
            taskbar = lib.mkOption { type = types.str; default = "waybar"; };
            launcher = lib.mkOption { type = types.str; default = "bemenu"; };
        };
    };

    config = {
        imports =
          (import ./ + (desktop.wm)) ++
    };
}
